summaryrefslogtreecommitdiffstats
path: root/development/acpica/acpica.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 20:00:21 +0200
committer Robby Workman2010-05-11 20:00:21 +0200
commit861f19c444b88428ee72c808de6a08d2bacef9fe (patch)
tree9892dedb3bffe01776567d977166f610b9c609ca /development/acpica/acpica.SlackBuild
parent88172f431f040422ffb68b79f297de6b4fbee52a (diff)
downloadslackbuilds-861f19c444b88428ee72c808de6a08d2bacef9fe.tar.gz
development/acpica: Added to 12.0 repository
Diffstat (limited to 'development/acpica/acpica.SlackBuild')
-rw-r--r--development/acpica/acpica.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/development/acpica/acpica.SlackBuild b/development/acpica/acpica.SlackBuild
new file mode 100644
index 0000000000..a123b35370
--- /dev/null
+++ b/development/acpica/acpica.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for acpica
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=acpica
+VERSION=20080213
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-unix-$VERSION
+tar xvf $CWD/$PRGNAM-unix-$VERSION.tar.gz
+cd $PRGNAM-unix-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# This is a patch from gentoo, which doesn't change the source
+# but eases the way to build it.
+patch -p1 -i $CWD/acpica-unix-20060512-buildfixup.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+install -D -m 0755 ./compiler/iasl $PKG/usr/bin/iasl
+install -D -m 0755 ./tools/acpixtract/acpixtract $PKG/usr/bin/acpixtract
+install -D -m 0755 ./tools/acpiexec/acpiexec $PKG/usr/bin/acpiexec
+install -D -m 0755 ./tools/acpisrc/acpisrc $PKG/usr/bin/acpisrc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changes.txt README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz